//
//  TestController.m
//  TestSpaces
//
//  Created by Daniel Jalkut on 11/1/07.
//  Copyright 2007 Red Sweater Software. All rights reserved.
//

#import "TestController.h"


@implementation TestController

- (void) dismissSheet:(id)sender
{
	[NSApp endSheet:oTestSheet];
	[oTestSheet orderOut:self];
}

- (IBAction) presentSelfDismissingSheet:(id)sender
{
	[NSApp beginSheet:oTestSheet
		modalForWindow:oMainWindow
		modalDelegate:self
		didEndSelector:nil
		contextInfo:nil];
	
	[NSTimer scheduledTimerWithTimeInterval:2.0 target:self selector:@selector(dismissSheet:) userInfo:nil repeats:NO];
}


@end
